let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/499ydb7xf104wdy8a6zyc1k847vwamzg-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/57p2i3bh7ms6ha1zj3ammw2aswfkyqab-coreutils-8.30/bin";
  bzip2 = "/nix/store/adn04cbvxhv3wypd6b7w7nqi5z2hpbrb-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/ydxg9f2rzl10k63pbqaiyrfysvz4r6dw-gzip-1.10/bin/gzip";
  xz = "/nix/store/0nr6knhny70949zkqgff7dp7rq7b45m6-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/n7myr4lwck1f38rcz056c02q97aj7m9i-gnutar-1.31/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/57p2i3bh7ms6ha1zj3ammw2aswfkyqab-coreutils-8.30/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/x6mnl1nij7y4v5ihlplr4k937ayr403r-nix-2.3.2/bin";
  nixPrefix = "/nix/store/x6mnl1nij7y4v5ihlplr4k937ayr403r-nix-2.3.2";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/x6mnl1nij7y4v5ihlplr4k937ayr403r-nix-2.3.2/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
